Announcement

Collapse
No announcement yet.

database error when upgrading to 3.7.2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • database error when upgrading to 3.7.2

    doing an upgrade from 3.7.0 PL2 to 3.7.2 and seemed to be ok upgrading to 3.7.1 but when going to 3.7.2 I got this error

    Code:
    Database error in vBulletin 3.7.2:
    
    Invalid SQL:
    
                DELETE FROM vb_phrase
                WHERE product IN ('vbulletin', '')
                    AND fieldname = 'cphelptext'
                    AND languageid = -1;
    
    MySQL Error   : Incorrect key file for table './mckinl3_stargateforum/vb_phrase.MYI'; try to repair it
    Error Number  : 126
    Request Date  : Thursday, June 26th 2008 @ 09:52:00 AM
    Error Date    : Thursday, June 26th 2008 @ 09:52:01 AM
    Script        : http://www.stargateforum.net/forum/install/finalupgrade.php?step=2
    Referrer      : http://www.stargateforum.net/forum/install/finalupgrade.php?step=1
    IP Address    : 66.82.9.107
    Username      : 
    Classname     : vb_database
    MySQL Version : 5.0.45-community
    anybody have any ideas?

  • #2
    I have tried repairing the table but just says table is allready up to date. when looking at the table it says table in use.

    is there anyway or deleting and reloading the table?

    Comment


    • #3
      That table definitely need to be repaired. To fix this run Repair/Optimize in the Admin CP. You may need to run it more than once to fix all errors:

      Admin CP -> Maintenance -> Repair/Optimize Tables -> Check All -> Continue

      If you cannot access the Admin CP you can also use phpMyAdmin to repair tables.

      Also please see these instructions for other available methods to repair a database:

      http://dev.mysql.com/doc/refman/5.0/en/repair.html
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        ok thanks steve. I fixed the table and was able to upgrade 3.7.2 however now I can not post. everytime I try to make a post it says

        Code:
        1. The message you have entered is too short. Please lengthen your message to at least 1 characters.
        any ideas?

        Comment


        • #5
          Please revert your headinclude template so that the proper javascript is included.
          Translations provided by Google.

          Wayne Luke
          The Rabid Badger - a vBulletin Cloud demonstration site.
          vBulletin 5 API

          Comment


          • #6
            I was having lots of problems so I reverted all templates still having problem posting though.

            Comment


            • #7
              can't for the life of me figure this one out.

              anyone else run into something like this?

              would appreciate any help as my board has been down all afternoon, and would like to get it back up.

              Comment


              • #8
                I can not pm either.

                Comment


                • #9
                  Please follow these instructions:

                  1 - Re-upload all the original vB non-image files (except install.php). These files include all files with the extensions of PHP, JS and CSS. Make sure you upload these in ASCII format and overwrite the ones on the server. Also be sure to upload the admincp files to whichever directory you have set in your config.php file. Then run 'Suspect File Versions' in Diagnostics to make sure you have all the original files for your version:

                  Admin CP -> Maintenance -> Diagnostics -> Suspect File Versions

                  [Note: In some cases you may also need to remove any of the listed .xml files in the includes/xml directory.]

                  2 - If that didn't solve the problem, then please disable all plugins.

                  Note: To temporarily disable the plugin system, edit config.php and add this line right under <?php

                  define('DISABLE_HOOKS', true);

                  3 - If you still have this problem, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it. Now check again.

                  If you still have the same problem please let me know.
                  Translations provided by Google.

                  Wayne Luke
                  The Rabid Badger - a vBulletin Cloud demonstration site.
                  vBulletin 5 API

                  Comment


                  • #10
                    ok,

                    I reloaded all the new files and now everything seems to be working.

                    must not of fully load one of .js files or something.

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X